Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-30120

Plugin does not work with Mercurial 3.4.2

    Details

    • Similar Issues:

      Description

      We recently upgraded to mercurial 3.4.2 on our masters and slaves. Now when you try and build a project with the mercurial scm enabled we get this error, when the changelog is being computed.

      I've attached the console log, and it seems that the --follow flag is the culprit when hg log is run.

      Downgrading to Mercurial 3.3.3 fixes the issues.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jglick Jesse Glick
                Reporter:
                madsnielsen Mads Nielsen
              • Votes:
                1 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: